org.jbpm.workflow.instance

## Enum NodeInstance.CancelType

- java.lang.Object
- - java.lang.Enum<NodeInstance.CancelType>
  - - org.jbpm.workflow.instance.NodeInstance.CancelType

- All Implemented Interfaces:
    Serializable, Comparable<NodeInstance.CancelType>
  Enclosing interface:
    NodeInstance

      public static enum NodeInstance.CancelType
      extends Enum<NodeInstance.CancelType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORTED`
    `ERROR`
    `OBSOLETE`
    `SKIPPED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeInstance.CancelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeInstance.CancelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBSOLETE

          public static final NodeInstance.CancelType OBSOLETE

    - #### ABORTED

          public static final NodeInstance.CancelType ABORTED

    - #### SKIPPED

          public static final NodeInstance.CancelType SKIPPED

    - #### ERROR

          public static final NodeInstance.CancelType ERROR

  - ### Method Detail

    - #### values

          public static NodeInstance.CancelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeInstance.CancelType c : NodeInstance.CancelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeInstance.CancelType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.